<section <?php if(empty($_GET['context']) || $_GET['context'] !== 'edit') echo get_block_wrapper_attributes( array('class' => "pb-5 pt-5 text-secondary", ) ); else echo 'data-wp-block-props="true"'; ?>>
    <div class="container"> 
        <h2 class="h6 text-capitalize"><?php echo PG_Blocks::getAttribute( $args, 'top_title' ) ?></h2>
        <h3 class="fw-bold h1 mb-5 text-primary"><?php echo PG_Blocks::getAttribute( $args, 'title' ) ?></h3>
        <div class="justify-content-center row"> 
            <?php
                $all_posts_args = array(
                    'post_type' => 'post',
                    'posts_per_page' => 3,
                    'paged' => get_query_var( 'paged' ) ?: 1,
                    'order' => 'DESC',
                    'orderby' => 'date'
                )
            ?>
            <?php $all_posts = new WP_Query( $all_posts_args ); ?>
            <?php if ( $all_posts->have_posts() ) : ?>
                <?php while ( $all_posts->have_posts() ) : $all_posts->the_post(); ?>
                    <?php PG_Helper::rememberShownPost(); ?>
                    <div <?php post_class( 'col-lg-4 col-md-6 pb-3 pt-3' ); ?> id="post-<?php the_ID(); ?>"> 
                        <div class="bg-white d-flex flex-column h-100"> <a href="<?php echo esc_url( get_permalink() ); ?>" class="d-block"><?php echo PG_Image::getPostImage( null, 'medium', array(
                                        'class' => 'img-fluid post-image-aspect-ratio rounded w-100'
                                ), null, null ) ?></a>
                            <div class="pe-2 ps-2 pt-3"> <a href="<?php echo esc_url( get_permalink() ); ?>" class="text-dark text-decoration-none"><h3 class="fw-bold h5"><?php the_title(); ?></h3></a>
                                <h4 class="fw-bold h6 small text-secondary"><?php the_time( get_option( 'date_format' ) ); ?></h4> 
                                <p class="mb-0"><?php echo get_the_excerpt(); ?></p> 
                            </div>                             
                        </div>                         
                    </div>
                <?php endwhile; ?>
                <?php wp_reset_postdata(); ?>
            <?php else : ?>
                <p><?php _e( 'Sorry, no posts matched your criteria.', 'portfolio' ); ?></p>
            <?php endif; ?>                           
        </div>
        <div class="mt-5 text-center">
            <nav aria-label="Page navigation example" class="d-inline-block">
                <?php if ( PG_Pagination::isPaginated($all_posts) ) : ?>
                    <ul class="pagination">
                        <li class="<?php if(!( PG_Pagination::getCurrentPage() > 1 )) echo 'disabled'; ?> page-item"><a class="page-link" aria-label="Previous" <?php echo PG_Pagination::getPreviousHrefAttribute( $all_posts ); ?>> <span aria-hidden="true">&laquo;</span> </a>
                        </li>
                        <?php for( $page_num = 1; $page_num <= PG_Pagination::getMaxPages( $all_posts ); $page_num++) : ?>
                            <li class="<?php if( $page_num == PG_Pagination::getCurrentPage() ) echo 'active'; ?> page-item">
                                <a class="page-link" href="<?php echo esc_url( get_pagenum_link( $page_num ) ) ?>"><?php echo $page_num ?></a>
                            </li>
                        <?php endfor; ?>
                        <li class="<?php if(!( PG_Pagination::getCurrentPage() < PG_Pagination::getMaxPages( $all_posts ) )) echo 'disabled'; ?> page-item"><a class="page-link" aria-label="Next" <?php echo PG_Pagination::getNextHrefAttribute( $all_posts ); ?>> <span aria-hidden="true">&raquo;</span> </a>
                        </li>
                    </ul>
                <?php endif; ?>
            </nav>
        </div>         
    </div>     
</section>