
( function ( blocks, element, blockEditor ) {
    const el = element.createElement,
        registerBlockType = blocks.registerBlockType,
        ServerSideRender = PgServerSideRender,
        InspectorControls = blockEditor.InspectorControls,
        useBlockProps = blockEditor.useBlockProps;
        
    const {__} = wp.i18n;
    const {ColorPicker, TextControl, ToggleControl, SelectControl, Panel, PanelBody, Disabled, TextareaControl, BaseControl} = wp.components;
    const {useSelect} = wp.data;
    const {RawHTML, Fragment} = element;
   
    const {InnerBlocks, URLInputButton, RichText} = wp.blockEditor;
    const useInnerBlocksProps = blockEditor.useInnerBlocksProps || blockEditor.__experimentalUseInnerBlocksProps;
    
    const propOrDefault = function(val, prop, field) {
        if(block.attributes[prop] && (val === null || val === '')) {
            return field ? block.attributes[prop].default[field] : block.attributes[prop].default;
        }
        return val;
    }
    
    const block = registerBlockType( 'portfolio/quotes', {
        apiVersion: 2,
        title: 'Quotes',
        icon: 'block-default',
        category: 'pagesections',
        keywords: [],
        supports: {color: {background: false,text: false,gradients: false,link: false,},typography: {fontSize: false,},anchor: false,align: false,},
        attributes: {
            top_heading: {
                type: 'text',
                default: `Few words from my clients`,
            },
            title: {
                type: 'text',
                default: `Testimonials`,
            }
        },
        example: { attributes: { top_heading: `Few words from my clients`, title: `Testimonials` } },
        edit: function ( props ) {
            const blockProps = useBlockProps({ className: 'pb-5 pt-5' });
            const setAttributes = props.setAttributes; 
            
            
            const innerBlocksProps = useInnerBlocksProps({ className: 'gy-4 justify-content-center row row-cols-lg-3 row-cols-md-2' }, {
                allowedBlocks: [ 'portfolio/quote' ],
                template: [
    [ 'portfolio/quote', {} ],
    [ 'portfolio/quote', {} ],
    [ 'portfolio/quote', {} ]
],
            } );
                            
            
            return el(Fragment, {}, [
                el('section', { ...blockProps }, el('div', { className: 'container pb-5 pt-5' }, [el('div', { className: 'mb-4' }, [el(RichText, { tagName: 'h2', className: 'h6 text-capitalize', value: propOrDefault( props.attributes.top_heading, 'top_heading' ), onChange: function(val) { setAttributes( {top_heading: val }) }, withoutInteractiveFormatting: true, allowedFormats: [] }), el(RichText, { tagName: 'h3', className: 'fw-bold h1 text-primary', value: propOrDefault( props.attributes.title, 'title' ), onChange: function(val) { setAttributes( {title: val }) }, withoutInteractiveFormatting: true, allowedFormats: [] })]), el('div', { ...innerBlocksProps })])),                        
                
                    el( InspectorControls, {},
                        [
                            
                            el(Panel, {},
                                el(PanelBody, {
                                    title: __('Block properties')
                                }, [
                                    
                                    el(TextControl, {
                                        value: props.attributes.top_heading,
                                        help: __( '' ),
                                        label: __( 'Top heading' ),
                                        onChange: function(val) { setAttributes({top_heading: val}) },
                                        type: 'text'
                                    }),
                                    el(TextControl, {
                                        value: props.attributes.title,
                                        help: __( '' ),
                                        label: __( 'Title' ),
                                        onChange: function(val) { setAttributes({title: val}) },
                                        type: 'text'
                                    }),    
                                ])
                            )
                        ]
                    )                            

            ]);
        },

        save: function(props) {
            const blockProps = useBlockProps.save({ className: 'pb-5 pt-5' });
            return el('section', { ...blockProps }, el('div', { className: 'container pb-5 pt-5' }, [el('div', { className: 'mb-4' }, [el(RichText.Content, { tagName: 'h2', className: 'h6 text-capitalize', value: propOrDefault( props.attributes.top_heading, 'top_heading' ) }), el(RichText.Content, { tagName: 'h3', className: 'fw-bold h1 text-primary', value: propOrDefault( props.attributes.title, 'title' ) })]), el('div', { className: 'gy-4 justify-content-center row row-cols-lg-3 row-cols-md-2' }, el(InnerBlocks.Content, { allowedBlocks: [ 'portfolio/quote' ] }))]));
        }                        

    } );
} )(
    window.wp.blocks,
    window.wp.element,
    window.wp.blockEditor
);                        
